namespace DocuMed.Repository.Repositories.Base.Contracts
{
    public interface IRepositoryWrapper : IDisposable , IScopedDependency
    {
        IBaseRepository<T> SetRepository<T>() where T : ApiEntity;
        Task BeginTransaction(CancellationToken cancellationToken);
        Task RollBackAsync(CancellationToken cancellationToken);
        Task CommitAsync(CancellationToken cancellationToken);
        Task SaveChangesAsync(CancellationToken  cancellationToken);
    }
}